﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data.SqlClient;
using System.Web.Script.Serialization;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            List<MarkerModel> mapData = new List<MarkerModel>();
            string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
            using (SqlConnection con = new SqlConnection(constr))
            {
                using (SqlCommand cmd = new SqlCommand("SELECT * FROM Locations", con))
                {
                    con.Open();
                    using (SqlDataReader sdr = cmd.ExecuteReader())
                    {
                        while (sdr.Read())
                        {
                            mapData.Add(new MarkerModel
                            {
                                Title = sdr["Name"].ToString(),
                                Lat = Convert.ToDecimal(sdr["Latitude"]),
                                Lng = Convert.ToDecimal(sdr["Longitude"]),
                                Description = sdr["Description"].ToString()
                            });
                        }
                    }
                    con.Close();
                }
            }
            ViewState["Markers"] = (new JavaScriptSerializer()).Serialize(mapData);
        }
    }

    public class MarkerModel
    {
        public string Title { get; set; }
        public string Description { get; set; }
        public decimal Lat { get; set; }
        public decimal Lng { get; set; }
    }
}